Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.monitor.support
Class TestMonitorListenerAdapter

    java.lang.Object
      com.eviware.soapui.monitor.support.TestMonitorListenerAdapter

All Implemented Interfaces:
  TestMonitorListener

Direct Known Subclasses:
  LogDisablingTestMonitorListener, TestRunComponentEnabler

    public class TestMonitorListenerAdapter

extends java.lang.Object
implements TestMonitorListener

Adapter for TestMonitorListener implementations

Author:
  Ole.Matzura

Constructor Summary
`TestMonitorListenerAdapter()`

Method Summary
`void` | `loadTestFinished(LoadTestRunner runner)`
`void` | `loadTestStarted(LoadTestRunner runner)`
`void` | `mockServiceStarted(MockRunner runner)`
`void` | `mockServiceStopped(MockRunner runner)`
`void` | `testCaseFinished(TestRunner runner)`
`void` | `testCaseStarted(TestRunner runner)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestMonitorListenerAdapter

    public TestMonitorListenerAdapter()

Method Detail

### loadTestStarted

    public void loadTestStarted(LoadTestRunner runner)

  Specified by:
    `loadTestStarted` in interface `TestMonitorListener`

### loadTestFinished

    public void loadTestFinished(LoadTestRunner runner)

  Specified by:
    `loadTestFinished` in interface `TestMonitorListener`

### testCaseStarted

    public void testCaseStarted(TestRunner runner)

  Specified by:
    `testCaseStarted` in interface `TestMonitorListener`

### testCaseFinished

    public void testCaseFinished(TestRunner runner)

  Specified by:
    `testCaseFinished` in interface `TestMonitorListener`

### mockServiceStarted

    public void mockServiceStarted(MockRunner runner)

  Specified by:
    `mockServiceStarted` in interface `TestMonitorListener`

### mockServiceStopped

    public void mockServiceStopped(MockRunner runner)

  Specified by:
    `mockServiceStopped` in interface `TestMonitorListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.